<?php
namespace App\Models\Menus;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

use App\Models\Files\FilesModel;

class MenuCategoriesModel extends Model
{
    protected $table = 'phppos_items_category';
    protected $primaryKey = 'item_id';
    public $timestamps = false;

    public function menu_list(){
        return $this->hasMany(MenusModel::class,'category','url');
    }
    public function brand_list(){
        return $this->hasOne(BrandCategoriesModel::class,'category_id','id');
    }
}
